Subject: Re: [net-next PATCH v6 00/16] net: Add basic LED support for switch/phy

From: Jakub Kicinski <[email-masked]>
Date: Mon, 27 Mar 2023 18:46:06 -0700

On Mon, 27 Mar 2023 16:10:15 +0200 Christian Marangi wrote:
> This is a continue of [1]. It was decided to take a more gradual
> approach to implement LEDs support for switch and phy starting with
> basic support and then implementing the hw control part when we have all
> the prereq done.
> 
> This series implements only the brightness_set() and blink_set() ops.
> An example of switch implementation is done with qca8k.
> 
> For PHY a more generic approach is used with implementing the LED
> support in PHY core and with the user (in this case marvell) adding all
> the required functions.
> 
> Currently we set the default-state as "keep" to not change the default
> configuration of the declared LEDs since almost every switch have a
> default configuration.

Please run ./scripts/kernel-doc -none on the headers,
the new ops added in patches 6 and 8 need to be kdoc'ed.